package com.cpm.lorealbaMabeline.gsonGetterSetter;

import com.google.gson.annotations.SerializedName;
import com.cpm.lorealbaMabeline.gettersetter.MasterCompetitionOffer;
import com.cpm.lorealbaMabeline.gettersetter.MasterCompetitionOfferSaleRange;
import com.cpm.lorealbaMabeline.gsonGetterSetter.batbasale.BATBAPromoSale;
import com.cpm.lorealbaMabeline.gsonGetterSetter.batbasale.BATBASale;
import com.cpm.lorealbaMabeline.gsonGetterSetter.countervolune.ReportConterValue;
import com.cpm.lorealbaMabeline.gsonGetterSetter.countervolune.ReportConterValueDetail;
import com.cpm.lorealbaMabeline.gsonGetterSetter.countervolune.ReportCounterVolume;
import com.cpm.lorealbaMabeline.gsonGetterSetter.countervolune.ReportCounterVolumeDetail;
import com.cpm.lorealbaMabeline.gsonGetterSetter.inwordDetail.ReportCounterInwardStock;
import com.cpm.lorealbaMabeline.gsonGetterSetter.inwordDetail.ReportCounterInwardStockDetail;
import com.cpm.lorealbaMabeline.gsonGetterSetter.leaves.MasterHoliday;
import com.cpm.lorealbaMabeline.gsonGetterSetter.leaves.TLeaveLedgerSummary;
import com.cpm.lorealbaMabeline.gsonGetterSetter.leaves.TLeaveRequestDetail;
import com.cpm.lorealbaMabeline.gsonGetterSetter.stockledger.ReportCounterStockLedger;
import com.cpm.lorealbaMabeline.gsonGetterSetter.stockledger.ReportCounterStockLedgerDetail;
import com.cpm.lorealbaMabeline.reportGetterSetter.AppDashboardIncentive;
import com.cpm.lorealbaMabeline.reportGetterSetter.AppDashboardLeaderBoard;
import com.cpm.lorealbaMabeline.reports.dailyTva.DailyTVA;
import com.cpm.lorealbaMabeline.reports.offtakemodels.L3MOffTakeCounter;
import com.cpm.lorealbaMabeline.reports.offtakemodels.L3MOffTakeNuance;
import com.cpm.lorealbaMabeline.reports.offtakemodels.L3MOffTakeSubAxe;
import com.cpm.lorealbaMabeline.reports.offtakemodels.SalesGrowthCounter;
import com.cpm.lorealbaMabeline.reports.offtakemodels.SalesGrowthSubAxe;
import com.cpm.lorealbaMabeline.reports.testerdetails.ReportTesterCounterDetail;

import java.util.List;

public class ResponseResult {
    @SerializedName("Report_DamageStockHistory")
    private List<ReportDamageStockHistory> reportDamageStockHistory = null;

    public List<ReportDamageStockHistory> getReportDamageStockHistory() {
        return reportDamageStockHistory;
    }
    @SerializedName("Report_SalesL3MValue")
    private List<ReportSalesL3MValue> reportSalesL3MValue = null;
    public List<ReportSalesL3MValue> getReportSalesL3MValue() {
        return reportSalesL3MValue;
    }

    @SerializedName("Report_SalesL3MValueME")
    private List<ReportSalesL3MValue> reportSalesL3MValueMe = null;

    public List<ReportSalesL3MValue> getReportSalesL3MValueMe() {
        return reportSalesL3MValueMe;
    }

    @SerializedName("Master_Promotion")
    private List<MasterPromotion> masterPromotion = null;

    public List<MasterPromotion> getMasterPromotion() {
        return masterPromotion;
    }

    @SerializedName("Master_PromotionSetEntityItem")
    
    private List<MasterPromotionSetEntityItem> masterPromotionSetEntityItem = null;

    public List<MasterPromotionSetEntityItem> getMasterPromotionSetEntityItem() {
        return masterPromotionSetEntityItem;
    }


    @SerializedName("Master_PromotionGetEntityItem")
    
    private List<MasterPromotionGetEntityItem> masterPromotionGetEntityItem = null;

    public List<MasterPromotionGetEntityItem> getMasterPromotionGetEntityItem() {
        return masterPromotionGetEntityItem;
    }


    @SerializedName("Master_PromotionSetProductGroup")
    
    private List<MasterPromotionSetProductGroup> masterPromotionSetProductGroup = null;

    public List<MasterPromotionSetProductGroup> getMasterPromotionSetProductGroup() {
        return masterPromotionSetProductGroup;
    }

    @SerializedName("Master_PromotionGetProductGroup")
    
    private List<MasterPromotionGetProductGroup> masterPromotionGetProductGroup = null;

    public List<MasterPromotionGetProductGroup> getMasterPromotionGetProductGroup() {
        return masterPromotionGetProductGroup;
    }


    @SerializedName("Master_Survey")
    
    private List<MasterSurvey> masterSurvey = null;

    public List<MasterSurvey> getMasterSurvey() {
        return masterSurvey;
    }


    @SerializedName("Master_LeaveType")
    
    private List<MasterLeaveType> masterLeaveType = null;

    public List<MasterLeaveType> getMasterLeaveType() {
        return masterLeaveType;
    }

    @SerializedName("Damage_ReturnToDistributor")
    
    private List<DamageReturnToDistributor> damageReturnToDistributor = null;

    public List<DamageReturnToDistributor> getDamageReturnToDistributor() {
        return damageReturnToDistributor;
    }

    @SerializedName("Master_Survey_UploadStatus")
    
    private List<MasterSurveyUploadstatus> masterSurveyUploadStatus = null;

    public List<MasterSurveyUploadstatus> getMasterSurveyUploadStatus() {
        return masterSurveyUploadStatus;
    }

    @SerializedName("Master_PromotionSetProductCatalog")
    
    private List<MasterPromotionSetProductCatalog> masterPromotionSetProductCatalog = null;

    public List<MasterPromotionSetProductCatalog> getMasterPromotionSetProductCatalog() {
        return masterPromotionSetProductCatalog;
    }
    @SerializedName("Master_PromotionGetProductCatalog")
    
    private List<MasterPromotionGetProductCatalog> masterPromotionGetProductCatalog = null;

    public List<MasterPromotionGetProductCatalog> getMasterPromotionGetProductCatalog() {
        return masterPromotionGetProductCatalog;
    }
    @SerializedName("Report_ProductGroupWiseSalesValue")
    
    private List<ReportProductGroupWiseSalesValue> reportProductGroupWiseSalesValue = null;

    public List<ReportProductGroupWiseSalesValue> getReportProductGroupWiseSalesValue() {
        return reportProductGroupWiseSalesValue;
    }

    @SerializedName("Report_SalesDateWise")
    private List<ReportSalesDateWise> reportSalesDateWise = null;
    public List<ReportSalesDateWise> getReportSalesDateWise() {
        return reportSalesDateWise;
    }
    @SerializedName("Report_SalesDateWiseME")
    private List<ReportSalesDateWise> reportSalesDateWiseMe = null;
    public List<ReportSalesDateWise> getReportSalesDateWiseMe() {
        return reportSalesDateWiseMe;
    }
    @SerializedName("Damage_PreviousPending")
    
    private List<DamagePreviousPending> damagePreviousPending = null;

    public List<DamagePreviousPending> getDamagePreviousPending() {
        return damagePreviousPending;
    }

    @SerializedName("Master_PromotionGetExclusionList")
    
    private List<MasterPromotionGetExclusionList> masterPromotionGetExclusionList = null;

    public List<MasterPromotionGetExclusionList> getMasterPromotionGetExclusionList() {
        return masterPromotionGetExclusionList;
    }
    @SerializedName("Master_PromotionSetExclusionList")
    
    private List<MasterPromotionSetExclusionList> masterPromotionSetExclusionList = null;

    public List<MasterPromotionSetExclusionList> getMasterPromotionSetExclusionList() {
        return masterPromotionSetExclusionList;
    }
    @SerializedName("Master_SourcesOfSales")
    
    private List<MasterSourcesOfSale> masterSourcesOfSales = null;

    public List<MasterSourcesOfSale> getMasterSourcesOfSales() {
        return masterSourcesOfSales;
    }

    @SerializedName("Master_CompetitonBrandWiseNuance")
    
    private List<MasterCompetitonBrandWiseNuance> masterCompetitonBrandWiseNuance = null;

    public List<MasterCompetitonBrandWiseNuance> getMasterCompetitonBrandWiseNuance() {
        return masterCompetitonBrandWiseNuance;
    }

    @SerializedName("Master_CompetitionOfferSet")
    private List<MasterCompetitionOfferSet> masterCompetitionOfferSet = null;
    public List<MasterCompetitionOfferSet> getMasterCompetitionOfferSet() {
        return masterCompetitionOfferSet;
    }
    @SerializedName("Master_CompetitionOfferGet")
    private List<MasterCompetitionOfferGet> masterCompetitionOfferGet = null;
    public List<MasterCompetitionOfferGet> getMasterCompetitionOfferGet() {
        return masterCompetitionOfferGet;
    }
    @SerializedName("Master_CompetitionPromoType")
    private List<MasterCompetitionPromoType> masterCompetitionPromoType = null;
    public List<MasterCompetitionPromoType> getMasterCompetitionPromoType() {
        return masterCompetitionPromoType;
    }

    @SerializedName("Master_CompetitionProductType")
    private List<MasterCompetitionProductType> masterCompetitionProductType = null;
    public List<MasterCompetitionProductType> getMasterCompetitionProductType() {
        return masterCompetitionProductType;
    }
    public List<MasterCompetitionOffer> getMastercompetitionoffer() {
        return mastercompetitionoffer;
    }

    public void setMastercompetitionoffer(List<MasterCompetitionOffer> mastercompetitionoffer) {
        this.mastercompetitionoffer = mastercompetitionoffer;
    }

    @SerializedName("Master_CompetitionOffer")
    private List<MasterCompetitionOffer> mastercompetitionoffer = null;


    @SerializedName("Master_CompetitionOfferSaleRange")
    private List<MasterCompetitionOfferSaleRange> masterCompetitionOfferSaleRange = null;
    public List<MasterCompetitionOfferSaleRange> getMasterCompetitionOfferSaleRange() {
        return masterCompetitionOfferSaleRange;
    }
    public List<MasterRetailExcellence> getMasterRetailExcellenceList() {
        return masterRetailExcellenceList;
    }
    @SerializedName("Master_RetailExcellence_Item")
    private List<MasterRetailExcellence> masterRetailExcellenceList = null;

    @SerializedName("Report_MTD_WorkingCounterME")
    private List<ReportMTDWorkingCounterME> reportMTDWorkingCounterME;
    public List<ReportMTDWorkingCounterME> getReportMTDWorkingCounterME() {
        return reportMTDWorkingCounterME;
    }

    @SerializedName("AppDashboard_TVA")
    private List<AppDashboardTVA> appDashboardTVA;
    public List<AppDashboardTVA> getAppDashboardTVA() {
        return appDashboardTVA;
    }

    @SerializedName("AppDashboard_TVADrillDown")
    private List<AppDashboardTVADrillDown> appDashboardTVADrillDown;
    public List<AppDashboardTVADrillDown> getAppDashboardTVADrillDown() {
        return appDashboardTVADrillDown;
    }

    @SerializedName("AppDashboard_LeaderBoard")
    private List<AppDashboardLeaderBoard> appDashboardLeaderBoard;
    public List<AppDashboardLeaderBoard> getAppDashboardLeaderBoard() {
        return appDashboardLeaderBoard;
    }

    @SerializedName("AppDashboard_Incentive")
    private List<AppDashboardIncentive> appDashboardIncentive;

    public List<AppDashboardIncentive> getAppDashboardIncentive() {
        return appDashboardIncentive;
    }

    @SerializedName("AppDashboard_L3MOffTake_Counter")
    private List<L3MOffTakeCounter> l3MOffTakeCounter;
    public List<L3MOffTakeCounter> getL3MOffTakeCounter() {
        return l3MOffTakeCounter;
    }

    @SerializedName("AppDashboard_L3MOffTake_Nuance")
    private List<L3MOffTakeNuance> l3MOffTakeNuance;

    public List<L3MOffTakeNuance> getL3MOffTakeNuance() {
        return l3MOffTakeNuance;
    }

    @SerializedName("AppDashboard_L3MOffTake_SubAxe")
    private List<L3MOffTakeSubAxe> l3MOffTakeSubAxe;

    public List<L3MOffTakeSubAxe> getL3MOffTakeSubAxe() {
        return l3MOffTakeSubAxe;
    }

    @SerializedName("ReportDaily_TVA")
    private List<DailyTVA> reportDailyTVA;

    public List<DailyTVA> getReportDailyTVA() {
        return reportDailyTVA;
    }

    @SerializedName("Report_SalesGrowth_Counter")
    private List<SalesGrowthCounter> reportSalesGrowthCounter;

    public List<SalesGrowthCounter> getReportSalesGrowthCounter() {
        return reportSalesGrowthCounter;
    }
    @SerializedName("Report_SalesGrowth_CounterDetail")
    private List<SalesGrowthSubAxe> reportSalesGrowthSubAxe;
    public List<SalesGrowthSubAxe> getReportSalesGrowthSubAxe() {
        return reportSalesGrowthSubAxe;
    }
    @SerializedName("Report_TesterCounterDetail")
    private List<ReportTesterCounterDetail> reportTesterCounterDetail;
    public List<ReportTesterCounterDetail> getReportTesterCounterDetail() {
        return reportTesterCounterDetail;
    }
    @SerializedName("Report_CounterVolume")
    private List<ReportCounterVolume> reportCounterVolume;
    public List<ReportCounterVolume> getReportCounterVolume() {
        return reportCounterVolume;
    }
    @SerializedName("Report_CounterVolumeDetail")
    private List<ReportCounterVolumeDetail> reportCounterVolumeDetail;

    public List<ReportCounterVolumeDetail> getReportCounterVolumeDetail() {
        return reportCounterVolumeDetail;
    }
    @SerializedName("Report_ConterValue")
    private List<ReportConterValue> reportConterValue;

    public List<ReportConterValue> getReportConterValue() {
        return reportConterValue;
    }

    @SerializedName("Report_ConterValueDetail")
    private List<ReportConterValueDetail> reportConterValueDetail;
    public List<ReportConterValueDetail> getReportConterValueDetail() {
        return reportConterValueDetail;
    }

    @SerializedName("Report_CounterInwardStock")
    private List<ReportCounterInwardStock> reportCounterInwardStock;

    public List<ReportCounterInwardStock> getReportCounterInwardStock() {
        return reportCounterInwardStock;
    }
    @SerializedName("Report_CounterInwardStockDetail")
    private List<ReportCounterInwardStockDetail> reportCounterInwardStockDetail;

    public List<ReportCounterInwardStockDetail> getReportCounterInwardStockDetail() {
        return reportCounterInwardStockDetail;
    }

    @SerializedName("Report_CounterStockLedger")
    private List<ReportCounterStockLedger> reportCounterStockLedger;

    public List<ReportCounterStockLedger> getReportCounterStockLedger() {
        return reportCounterStockLedger;
    }
    @SerializedName("Report_CounterStockLedgerDetail")
    private List<ReportCounterStockLedgerDetail> reportCounterStockLedgerDetail;

    public List<ReportCounterStockLedgerDetail> getReportCounterStockLedgerDetail() {
        return reportCounterStockLedgerDetail;
    }

    @SerializedName("Report_BA_TBASale")
    private List<BATBASale> reportBATBASale;
    public List<BATBASale> gettBATBASale() {
        return reportBATBASale;
    }

    @SerializedName("Report_BA_TBAPromoSale")
    private List<BATBAPromoSale> reportBATBAPromoSale;
    public List<BATBAPromoSale> gettBATBAPromoSale() {
        return reportBATBAPromoSale;
    }

    @SerializedName("T_LeaveRequestDetail")
    private List<TLeaveRequestDetail> tLeaveRequestDetail;

    public List<TLeaveRequestDetail> getTLeaveRequestDetail() {
        return tLeaveRequestDetail;
    }
    @SerializedName("Master_HolidayList")
    private List<MasterHoliday> masterHolidayList;

    public List<MasterHoliday> getMasterHolidayList() {
        return masterHolidayList;
    }

    @SerializedName("T_LeaveLedgerSummary")
    private List<TLeaveLedgerSummary> tLeaveLedgerSummary;

    public List<TLeaveLedgerSummary> getTLeaveLedgerSummary() {
        return tLeaveLedgerSummary;
    }

}